"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = keyMap;
function keyMap(list, keyFn, valFn) {
  return list.reduce(function (memo, item) {
    return memo[keyFn(item)] = valFn(item), memo;
  }, {});
}