'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = camelizeKeys;

var _camelCase = require('camel-case');

var _camelCase2 = _interopRequireDefault(_camelCase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function camelizeKeys(obj) {
  return Object.keys(obj).reduce(function (memo, key) {
    memo[(0, _camelCase2.default)(key)] = obj[key];
    return memo;
  }, {});
}