"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = sortBy;
function sortBy(arr, fn) {
  return arr.slice(0).sort(function (a, b) {
    var aKey = fn(a);
    var bKey = fn(b);
    if (aKey < bKey || aKey == null && bKey != null) {
      return -1;
    } else if (aKey > bKey || aKey != null && bKey == null) {
      return 1;
    }
    return 0;
  });
}