"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = spyOn;
function spyOn(object, methodName) {
  var method = object[methodName];

  var spy = {
    calls: [],
    stop: function stop() {
      object[methodName] = method;
    }
  };

  object[methodName] = function () {
    spy.calls.push(arguments);
    return method.apply(object, arguments);
  };

  return spy;
}